Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1
Class URLPortletParameter

    oracle.portal.provider.v1.URLPortletParameter

public class URLPortletParameter

Class which has an option to make portlet parameter either mandatory or optional. If a parameter is marked as mandatory while rendering the portlet we make sure that these parameters are set. Otherwise user will be prompted to go back to edit screen and define them.

Constructor Summary
`URLPortletParameter()`

Method Summary
`java.lang.String` | `getDisplayName()` Returns the parameter's display name.
`java.lang.String` | `getValue()` Returns the parameter value.
`boolean` | `isMandatory()` Method which informs about URL Portlet parameter type.
`void` | `setDisplayName(java.lang.String dispName)` Sets the parameter's display name.
`void` | `setIsMandatory(java.lang.String flag)` Method which makes URLPortlet parameter either mandatory or optional.
`void` | `setValue(java.lang.String value)` Sets the parameter value.

Constructor Detail

### URLPortletParameter

    public URLPortletParameter()

Method Detail

### setIsMandatory

    public void setIsMandatory(java.lang.String flag)

  Method which makes URLPortlet parameter either mandatory or optional.
  Parameters:
    `flag` - true/false

### isMandatory

    public boolean isMandatory()

  Method which informs about URL Portlet parameter type. Whether it is mandatory or optional.
  Returns:
    boolean true/false

### setValue

    public void setValue(java.lang.String value)

  Sets the parameter value.
  Parameters:
    `value` - pre-populated parameter value.

### getValue

    public java.lang.String getValue()

  Returns the parameter value.
  Returns:
    String parameter value.

### setDisplayName

    public void setDisplayName(java.lang.String dispName)

  Sets the parameter's display name.
  Parameters:
    `dispName` - Display name for parameter

### getDisplayName

    public java.lang.String getDisplayName()

  Returns the parameter's display name. If the display name is null, parameter name is returned.
  Returns:
    String parameter's display name.

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD